use crate::prelude::*;

#[derive(Serialize, Deserialize)]
pub struct ServerInfo {
    pub name: String,
    pub user_api_base_url: String,
    pub fedi_api_base_url: String,
}

#[async_trait]
pub trait WellKnown {
    async fn well_known(&self) -> Result<ServerInfo>;
}
